package com.qa.desktop.simulations

import com.qa.desktop.scenarios.SEOUserScenario
import io.gatling.core.Predef.{Simulation, _}
import com.qa.desktop.config.Config._
import io.gatling.http.Predef.http

class SEOUserSimulation extends Simulation {
  private val httpProtocol = http
    .baseUrl(app_url)
    .disableCaching
    .disableFollowRedirect
    .inferHtmlResources(BlackList("""js""", """.*\.js""", """.*\.css""", """.*\.gif""", """.*\.jpeg""", """.*\.jpg""", """.*\.ico""", """.*\.woff""", """.*\.woff2""", """.*\.(t|o)tf""", """.*\.png""", """.*detectportal\.firefox\.com.*""", """.*facebook.*""", """.*google.*""", """.*monetate.*""", """.*aws.*""", """.*stats.*""", """.*tags.*""", """.*analytics.*""", """.*linkedin.*""", """.*amplitude.*""", """.*sc\..*""", """.*beacon.*"""), WhiteList())
    .disableAutoReferer
    .silentResources
    .acceptHeader("text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9")
    .acceptEncodingHeader("gzip, deflate")
    .acceptLanguageHeader("en-US,en;q=0.9")
    .userAgentHeader("Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.117 Safari/537.36")

  private val seoUserExec = SEOUserScenario.SEOUserScenario
    .inject(atOnceUsers(users)).protocols(httpProtocol)

  setUp(seoUserExec)
}